Bug 1573906 - Undefined reference error when running tshark
Summary: Undefined reference error when running tshark
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wireshark
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Ruprich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 13:36 UTC by Michal Ruprich
Modified: 2018-06-05 14:09 UTC (History)
8 users (show)

Fixed In Version: wireshark-2.6.1-1.fc28 wireshark-2.6.1-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-30 14:09:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Ruprich 2018-05-02 13:36:51 UTC
Description of problem:
When running tshark, it works but produces following error:
tshark: Couldn't load plugin 'l16mono.so': /usr/local/lib64/wireshark/plugins/2.6/wiretap/l16mono.so: undefined symbol: register_codec

Version-Release number of selected component (if applicable):
wireshark-2.6.0-1.fc28
wireshark-2.6.0-2.fc27

How reproducible:
always

Steps to Reproduce:
1. run tshark in the command line

Actual results:
works but producec error:
tshark: Couldn't load plugin 'l16mono.so': /usr/local/lib64/wireshark/plugins/2.6/wiretap/l16mono.so: undefined symbol: register_codec

Expected results:
No error.

Additional info:
Upstream bug https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=14638

Comment 1 Fedora Update System 2018-05-15 13:42:06 UTC
wireshark-2.6.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7e307f3e5a

Comment 2 Fedora Update System 2018-05-15 13:42:26 UTC
wireshark-2.6.0-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-279a8f520b

Comment 3 Fedora Update System 2018-05-15 20:52:15 UTC
wireshark-2.6.0-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-279a8f520b

Comment 4 Fedora Update System 2018-05-15 23:03:02 UTC
wireshark-2.6.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7e307f3e5a

Comment 5 Fedora Update System 2018-05-24 15:29:00 UTC
wireshark-2.6.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1cfa444d2

Comment 6 Fedora Update System 2018-05-24 15:29:34 UTC
wireshark-2.6.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3dfee621af

Comment 7 Fedora Update System 2018-05-25 15:42:33 UTC
wireshark-2.6.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1cfa444d2

Comment 8 Fedora Update System 2018-05-25 18:44:50 UTC
wireshark-2.6.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3dfee621af

Comment 9 Fedora Update System 2018-05-30 14:09:55 UTC
wireshark-2.6.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-06-05 14:09:57 UTC
wireshark-2.6.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.